> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get personal information by id

GET https://api.letsdeel.com/rest/people/{worker_id}/personal

Returns personal information for a worker by their worker ID.

 **Token scopes**: `people:read`

Reference: https://developer.deel.com/api/reference/endpoints/personal-information/get-person-personal-info

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `worker_id` (string, required) — Unique identifier for a worker (External ID).

## Response

### 200

Successful response

- `data` (PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Internal Server Error

- `error` (PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaError, required)

## Types

### PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaData

- `id` (string, required) — Unique identifier for the worker.
- `worker_id` (integer, required) — The worker id.
- `emergency_contacts` (list of PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataEmergencyContactsItems, required) — Array of emergency contacts associated with the worker.
- `kyc` (PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataKyc, optional) — KYC (Know Your Customer) verification information for the worker.
- `ooo` (PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataOoo, optional, nullable) — Out of office information for the worker, including leave type and dates.
- `addresses` (list of PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataAddressesItems, optional, nullable) — Array of addresses associated with the worker.
- `work_email` (string, optional, nullable) — The work email of the worker.
- `external_id` (string, optional, nullable) — The external id of the worker.
- `demographics` (PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataDemographics, optional, nullable) — Demographic information for the worker, including gender and ethnicity.
- `date_of_birth` (string, optional, nullable) — The date of birth of the worker.
- `nationalities` (list of PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataNationalitiesItems, optional, nullable) — Array of nationalities associated with the worker.
- `phone_numbers` (list of PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataPhoneNumbersItems, optional, nullable) — Array of phone numbers associated with the worker.
- `personal_email` (string, optional, nullable) — The personal email of the worker.
- `preferred_name` (string, optional, nullable) — The preferred name of the worker.
- `legal_last_name` (string, optional, nullable) — The legal last name of the worker.
- `legal_first_name` (string, optional, nullable) — The legal first name of the worker.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaError

- `code` (string, required) — Error code identifying the type of error.
- `message` (string, required) — Error message describing what went wrong.
- `details` (string, optional, nullable) — Additional details about the error.

### PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataEmergencyContactsItems

- `id` (string, required) — Unique identifier for the emergency contact.
- `name` (string, required) — The name of the emergency contact.
- `email` (string, required, nullable) — The email of the emergency contact.
- `phone` (string, required) — The phone number of the emergency contact.
- `relationship` (string, required) — The type of relationship between the owner and the emergency contact.
- `preferred_language` (PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataEmergencyContactsItemsPreferredLanguage, required, nullable) — The preferred language in which the emergency contact should be contacted.

### PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataKyc

KYC (Know Your Customer) verification information for the worker.

- `is_kyc_approved` (boolean, required) — Boolean to identify if the user is KYC verified
- `kyc_approval_date` (string, required, nullable) — The Date the user was KYC verified if applicable

### PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataOoo

Out of office information for the worker, including leave type and dates.

- `name` (string, required) — The worker out of office name.
- `end_date` (string, required) — The worker out of office end date.
- `leave_type` (enum, required) — The worker leave type.
  - Allowed values: `LONG_TERM_LEAVE`, `SHORT_TERM_LEAVE`
- `start_date` (string, required) — The worker out of office start date.

### PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataAddressesItems

- `id` (string, required) — Unique identifier for the address.
- `zip` (string, required, nullable) — The zip code.
- `city` (string, required, nullable) — The city.
- `type` (enum, required) — The type of the address.
  - Allowed values: `HOME`, `POSTAL`, `CONTRACT`
- `state` (string, required, nullable) — The state.
- `street` (string, required, nullable) — The street address.
- `country` (string, required) — The country.

### PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataDemographics

Demographic information for the worker, including gender and ethnicity.

- `gender` (PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataDemographicsGender, required, nullable) — Gender information for the worker.
- `ethnicity` (PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataDemographicsEthnicity, required, nullable) — Ethnicity information for the worker.

### PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataNationalitiesItems

- `code` (string, required) — Unique 2-letters ISO country code.
- `name` (string, required) — The name of the country.

### PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataPhoneNumbersItems

- `type` (enum, required) — The type of the phone number.
  - Allowed values: `PERSONAL`, `WORK`, `HOME`
- `dial_code` (string, required) — The dial code (also known as country code).
- `phone_number` (string, required) — The phone number.

### PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataEmergencyContactsItemsPreferredLanguage

The preferred language in which the emergency contact should be contacted.

- `id` (integer, required) — Unique identifier for the preferred language.
- `language` (string, required) — The name of the language.

### PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataDemographicsGender

Gender information for the worker.

- `id` (string, required) — Unique identifier for the gender.
- `name` (string, required) — The name of the gender.
- `other_name` (string, required, nullable) — Gender added by user when "Other" option was chosen.

### PeopleWorkerIdPersonalGetResponsesContentApplicationJsonSchemaDataDemographicsEthnicity

Ethnicity information for the worker.

- `id` (string, required) — Unique identifier for the ethnicity.
- `name` (string, required) — The name of the ethnicity.
- `other_name` (string, required, nullable) — Ethnicity added by user when "Other" option was chosen.

## Examples

**Response**

```json
{
  "data": {
    "id": "f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
    "worker_id": 123456,
    "emergency_contacts": [
      {
        "id": "f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
        "name": "Jane Doe",
        "email": "test@example.com",
        "phone": "1234567890",
        "relationship": "Mother",
        "preferred_language": {
          "id": 1,
          "language": "English"
        }
      }
    ],
    "kyc": {
      "is_kyc_approved": true,
      "kyc_approval_date": "2021-01-01"
    },
    "ooo": {
      "name": "Vacation",
      "end_date": "2021-01-01",
      "leave_type": "LONG_TERM_LEAVE",
      "start_date": "2021-01-01"
    },
    "addresses": [
      {
        "id": "f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
        "zip": "12345",
        "city": "New York",
        "type": "HOME",
        "state": "NY",
        "street": "123 Main St",
        "country": "US"
      }
    ],
    "work_email": "test@example.com",
    "external_id": "123456",
    "demographics": {
      "gender": {
        "id": "f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
        "name": "male",
        "other_name": "other"
      },
      "ethnicity": {
        "id": "f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
        "name": "white",
        "other_name": "other"
      }
    },
    "date_of_birth": "2021-01-01",
    "nationalities": [
      {
        "code": "US",
        "name": "United States"
      }
    ],
    "phone_numbers": [
      {
        "type": "PERSONAL",
        "dial_code": "+1",
        "phone_number": "1234567890"
      }
    ],
    "personal_email": "test@example.com",
    "preferred_name": "John",
    "legal_last_name": "Doe",
    "legal_first_name": "John"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/people/123456/personal"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/people/123456/personal';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/people/123456/personal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/people/123456/personal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/people/123456/personal")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/people/123456/personal', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/people/123456/personal");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/people/123456/personal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```